Loading...
Searching...
No Matches
peripheral::DeviceManager::Settings Struct Reference

peripheral DeviceManager's s settings More...

## Public Attributes

ZCoordMode | zCoordMode
| Z coordinate semantics.
boolean | autoManageNewDevices
| Automatically manage newly detected devices.
float | deviceAltitude
| Altitude of device in meters.
int | presenceDetectionTimeout
| Timeout for presence detection (sec)
map< string, sensors::NumericSensor.Thresholds > | defaultThresholdsMap
| Default thresholds by peripheral device type.
int | maxActivePoweredDryContacts
| The maximum number of concurrently active powered dry contacts.
boolean | muteOtherAccessControlUnit
| Mute other access control unit (door handle) enabled.

## Detailed Description

peripheral DeviceManager's s settings

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl